# Generated by go2rpm
%bcond_without check

# https://github.com/BurntSushi/xgbutil
%global goipath         github.com/BurntSushi/xgbutil
%global commit          f7c97cef3b4e6c88280a5a7091c3314e815ca243

%gometa

# Remove in F33
%global godevelheader %{expand:
Obsoletes:      golang-github-BurntSushi-xgbutil-devel < 0-0.6
}

%global common_description %{expand:
xgbutil is a utility library designed to work with the X Go Binding. This
project's main goal is to make various X related tasks easier. For example,
binding keys, using the EWMH or ICCCM specs with the window manager,
moving/resizing windows, assigning function callbacks to particular events,
drawing images to a window, etc.

xgbutil attempts to be thread safe, but it has not been completely tested in
this regard. In general, the X event loop implemented in the xevent package is
sequential. The idea is to be sequential by default, and let the user spawn
concurrent code at their discretion. (i.e., the complexity of making the main
event loop generally concurrent is vast.)}

%global golicenses      COPYING
%global godocs          _examples README

Name:           %{goname}
Version:        0
Release:        0.9%{?dist}
Summary:        Utility library to make use of the X Go Binding easier

License:        WTFPL
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/golang/freetype)
BuildRequires:  golang(github.com/golang/freetype/truetype)
BuildRequires:  golang(github.com/BurntSushi/graphics-go/graphics)
BuildRequires:  golang(github.com/BurntSushi/xgb)
BuildRequires:  golang(github.com/BurntSushi/xgb/shape)
BuildRequires:  golang(github.com/BurntSushi/xgb/xinerama)
BuildRequires:  golang(github.com/BurntSushi/xgb/xproto)

%description
%{common_description}

%gopkg

%prep
%goprep
find . -name "*.go" -exec sed -i "s|github.com/BurntSushi/freetype-go/freetype|github.com/golang/freetype|" "{}" +;

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 09 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.7.20190702gitf7c97ce
- Add Obsoletes for old name

* Thu May 23 22:36:08 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.6.20190702gitf7c97ce
- Update to new macros

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.gitf7c97ce
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 12 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.4.20181113gitf7c97ce
- Update to new Go packaging

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.gitf7c97ce
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.gitf7c97ce
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 15 2017 mosquito <sensor.wen@gmail.com> - 0-0.1.gitf7c97ce
- Add description

* Wed Dec 28 2016 Jaroslav <cz.guardian@gmail.com> Stepanek - 0.0.1.gitf7c97ce
- Initial package build
